// Particle.cpp: Implementierung der Klasse Particle.
//
//////////////////////////////////////////////////////////////////////

#include "Particle.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

Particle::Particle()
{
	birthtime = (float)time(NULL);
	position = SbVec3f(0.0f,0.0f,0.0f);
}

Particle::Particle(SbVec3f pos)
{
	birthtime = (float)time(NULL);
	position = pos;
}

Particle::~Particle()
{
	
}

void Particle::addDamping(void)
{
	force = force - (damping*velocity);
}

void Particle::addGravity(void)
{
	force = force + SbVec3f(0.0f, -mass*9.81f, 0.0f);
}

void Particle::resetForce(void)
{
	force.setValue(0.0f, 0.0f, 0.0f);
}
