// Spring.h: Schnittstelle fr die Klasse Spring.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPRING_H__F215639F_141A_42B9_BC9C_4C91E112FE6A__INCLUDED_)
#define AFX_SPRING_H__F215639F_141A_42B9_BC9C_4C91E112FE6A__INCLUDED_

#if _MSC_VER > 1000
#pragma  once
#endif // _MSC_VER > 1000

#include <Inventor/SbLinear.h>
class Node;

class Spring  
{
public:
	Spring(Node *nodeA,Node *nodeB);
	virtual ~Spring();
	Node *node1;
	Node *node2;
	static float stiffness;	  //k
	float initialLength;  //L
	float currentLength;  //l
	SbVec3f position;

	
	void addForces();
	float computeLength();
	void computePosition();
	void update();

};

#endif // !defined(AFX_SPRING_H__F215639F_141A_42B9_BC9C_4C91E112FE6A__INCLUDED_)
