// Force.cpp: Implementierung der Klasse Force.
//
//////////////////////////////////////////////////////////////////////

#include <Inventor/SbLinear.h>

#include "Force.h"
#include "Node.h"
#include "Spring.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

Force::Force()
{

}

Force::Force(Node *n)
{
	node = n;
	forcePosition = node->position;
}

Force::~Force()
{

}


void Force::updatePosition(SbVec3f &pos)
{
	forcePosition = pos;
}

void Force::applyForce()
{
	SbVec3f force = Spring::stiffness*(forcePosition-node->position);
	node->addForce(force);
}