// Particle.h: Schnittstelle fr die Klasse Particle.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARTICLE_H__17B6B87A_7B1E_4CA7_AF1E_B61D7AD38714__INCLUDED_)
#define AFX_PARTICLE_H__17B6B87A_7B1E_4CA7_AF1E_B61D7AD38714__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <time.h>

#include <Inventor/SbLinear.h>

class Particle  
{
public:
	Particle();
	Particle(SbVec3f pos);
	virtual ~Particle();

	void addDamping();
	void addGravity();
	void resetForce();
	void timeStep(float deltaT);
	void draw();

private:
	float birthtime;
	float damping;
	float mass;
	SbVec3f velocity;
	SbVec3f position;
	SbVec3f force;
};

#endif // !defined(AFX_PARTICLE_H__17B6B87A_7B1E_4CA7_AF1E_B61D7AD38714__INCLUDED_)
